﻿$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64
$programUninstallEntryName = "TuxGuitar*"

if ($is64bit) {
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
} else {
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
}

if ($uninstallString -ne "") {
    & $uninstallString --mode unattended
}
